package com.bocloud.cmp.model.kubernetes;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 作者
 * @version 创建时间：2019年8月21日 上午10:43:18 类说明 Kubernetes node
 */
public class NodeModel {
    private String instanceId;
    private String name;
    private String remark;
    private String status;
    private String address;
    private String podCidr;
    private String role;
    private String kind;
    private String apiVersion;
    private Date creationTime;
    private String labels;
    private Boolean schedulable;
    private Date gmtCreate; // 创建时间
    private String annotations;// 注释
    private String machineId; // 机器ID
    private String operatingSystem;// 操作系统
    private String architecture; // 架构
    private String osImage; // 操作系统镜像
    private String kernelVersion; // 内核版本
    private String bootId; // 启动ID
    private String systemUuid; // 系统ID
    private String kubeletVersion; // Kubelet 版本
    private String kubeProxyVersion; // Kube-Proxy 版本:
    private String containerRuntimeVersion; // 容器运行是版本
    private String nodeIp;
    private String uid;// uuid
    private String resourceKind;
    private String namespaceName;
    private Integer cpu;
    private BigDecimal memory;
    private String cpuUsed;
    private String memoryUsed;
    private String cpuPercent;
    private String memoryPercent;
    private String capacityCpu;
    private String capacityMemory;
    private String capacityPods;
    private String allocatableCpu;
    private String allocatableMemory;
    private String allocatablePods;
    private String labelKey;

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPodCidr() {
        return podCidr;
    }

    public void setPodCidr(String podCidr) {
        this.podCidr = podCidr;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getKind() {
        return kind;
    }

    public void setKind(String kind) {
        this.kind = kind;
    }

    public String getLabels() {
        return labels;
    }

    public void setLabels(String labels) {
        this.labels = labels;
    }

    /**
     * @return the schedulable
     */
    public Boolean getSchedulable() {
        return schedulable;
    }

    /**
     * @param schedulable the schedulable to set
     */
    public void setSchedulable(Boolean schedulable) {
        this.schedulable = schedulable;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getAnnotations() {
        return annotations;
    }

    public void setAnnotations(String annotations) {
        this.annotations = annotations;
    }

    public String getMachineId() {
        return machineId;
    }

    public void setMachineId(String machineId) {
        this.machineId = machineId;
    }

    public String getArchitecture() {
        return architecture;
    }

    public void setArchitecture(String architecture) {
        this.architecture = architecture;
    }

    public String getOsImage() {
        return osImage;
    }

    public void setOsImage(String osImage) {
        this.osImage = osImage;
    }

    public String getKernelVersion() {
        return kernelVersion;
    }

    public void setKernelVersion(String kernelVersion) {
        this.kernelVersion = kernelVersion;
    }

    public String getBootId() {
        return bootId;
    }

    public void setBootId(String bootId) {
        this.bootId = bootId;
    }

    public String getSystemUuid() {
        return systemUuid;
    }

    public void setSystemUuid(String systemUuid) {
        this.systemUuid = systemUuid;
    }

    public String getKubeletVersion() {
        return kubeletVersion;
    }

    public void setKubeletVersion(String kubeletVersion) {
        this.kubeletVersion = kubeletVersion;
    }

    public String getKubeProxyVersion() {
        return kubeProxyVersion;
    }

    public void setKubeProxyVersion(String kubeProxyVersion) {
        this.kubeProxyVersion = kubeProxyVersion;
    }

    public String getContainerRuntimeVersion() {
        return containerRuntimeVersion;
    }

    public void setContainerRuntimeVersion(String containerRuntimeVersion) {
        this.containerRuntimeVersion = containerRuntimeVersion;
    }

    public String getOperatingSystem() {
        return operatingSystem;
    }

    public void setOperatingSystem(String operatingSystem) {
        this.operatingSystem = operatingSystem;
    }

    public String getNamespaceName() {
        return namespaceName;
    }

    public void setNamespaceName(String namespaceName) {
        this.namespaceName = namespaceName;
    }

    public String getNodeIp() {
        return nodeIp;
    }

    public void setNodeIp(String nodeIp) {
        this.nodeIp = nodeIp;
    }

    public Integer getCpu() {
        return cpu;
    }

    public void setCpu(Integer cpu) {
        this.cpu = cpu;
    }

    public BigDecimal getMemory() {
        return memory;
    }

    public void setMemory(BigDecimal memory) {
        this.memory = memory;
    }

    public String getCapacityCpu() {
        return capacityCpu;
    }

    public void setCapacityCpu(String capacityCpu) {
        this.capacityCpu = capacityCpu;
    }

    public String getCapacityMemory() {
        return capacityMemory;
    }

    public void setCapacityMemory(String capacityMemory) {
        this.capacityMemory = capacityMemory;
    }

    public String getCapacityPods() {
        return capacityPods;
    }

    public void setCapacityPods(String capacityPods) {
        this.capacityPods = capacityPods;
    }

    public String getAllocatableCpu() {
        return allocatableCpu;
    }

    public void setAllocatableCpu(String allocatableCpu) {
        this.allocatableCpu = allocatableCpu;
    }

    public String getAllocatableMemory() {
        return allocatableMemory;
    }

    public void setAllocatableMemory(String allocatableMemory) {
        this.allocatableMemory = allocatableMemory;
    }

    public String getAllocatablePods() {
        return allocatablePods;
    }

    public void setAllocatablePods(String allocatablePods) {
        this.allocatablePods = allocatablePods;
    }

    public String getCpuPercent() {
        return cpuPercent;
    }

    public void setCpuPercent(String cpuPercent) {
        this.cpuPercent = cpuPercent;
    }

    public String getMemoryPercent() {
        return memoryPercent;
    }

    public void setMemoryPercent(String memoryPercent) {
        this.memoryPercent = memoryPercent;
    }

    public String getCpuUsed() {
        return cpuUsed;
    }

    public void setCpuUsed(String cpuUsed) {
        this.cpuUsed = cpuUsed;
    }

    public String getMemoryUsed() {
        return memoryUsed;
    }

    public void setMemoryUsed(String memoryUsed) {
        this.memoryUsed = memoryUsed;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getResourceKind() {
        return resourceKind;
    }

    public void setResourceKind(String resourceKind) {
        this.resourceKind = resourceKind;
    }

    public String getApiVersion() {
        return apiVersion;
    }

    public void setApiVersion(String apiVersion) {
        this.apiVersion = apiVersion;
    }

    public String getLabelKey() {
        return labelKey;
    }

    public void setLabelKey(String labelKey) {
        this.labelKey = labelKey;
    }

	public Date getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(Date creationTime) {
		this.creationTime = creationTime;
	}
    
}
